Update the name, the description, the number of frames, the metadata, the sequence or the canceled flag of a shot. Send only the fields to change. You must be a manager of the project.
PUT
/data/shots/{shot_id}
curl
curl -X PUT "http://api.example.com/data/shots/a24a6ea4-ce75-4665-a070-57453082c25" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "SH010 new name",
"description": "Update description for the shot",
"nb_frames": 24,
"data": {
"camera": "camA",
"cut_in": 1001
}
}'
import requests
url = "http://api.example.com/data/shots/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"name": "SH010 new name",
"description": "Update description for the shot",
"nb_frames": 24,
"data": {
"camera": "camA",
"cut_in": 1001
}
}
response = requests.put(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
Request examples
{
"name": "SH010 new name",
"description": "Update description for the shot",
"nb_frames": 24,
"data": {
"camera": "camA",
"cut_in": 1001
},
"parent_id": "string",
"canceled": true
}
Response examples (200)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c250",
"name": "SH010",
"project_id": "b24a6ea4-ce75-4665-a070-57453082c250",
"parent_id": "c24a6ea4-ce75-4665-a070-57453082c250",
"nb_frames": 120,
"data": {
"camera": "camA",
"cut_in": 1001
}
}